%global kdeversion 4.3.1

Name:           skanlite
Version:        0.3
Release:        5%{?dist}
Summary:        Lightweight scanning program
Group:          Applications/Productivity
# Actually: GPLv2 or GPLv3 or any later Version approved by KDE e.V.
License:        GPLv2 or GPLv3
URL:            http://docs.kde.org/development/en/extragear-graphics/skanlite/
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{kdeversion}/src/extragear/skanlite-%{version}-kde%{kdeversion}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs4-devel >= 4.1.0
BuildRequires: kdegraphics-devel >= 4.1.0
BuildRequires: cmake   
BuildRequires: gettext

%description
Skanlite is a light-weight scanning application based on libksane.

%prep
%setup -q -n skanlite-%{version}-kde%{kdeversion}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# validate desktop file
desktop-file-install \
        --dir="%{buildroot}%{_datadir}/applications/kde4" \
        %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop


%find_lang %{name} || touch %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING TODO
%doc %{_kde4_docdir}/HTML/*/skanlite/
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop

%changelog
* Tue Sep 01 2009 Sebastian Vahl <svahl@fedoraproject.org> - 0.3-5
- KDE 4.3.1

* Tue Aug 11 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.3-4
- KDE 4.3.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 23 2009 Sven Lankes <sven@lank.es> - 0.3-2
- SPEC-Fixes from review

* Mon Jun 22 2009 Sven Lankes <sven@lank.es> - 0.3-1 
- Update to current upstream version
- Update license tag

* Thu Jan 08 2009 Teemu Rytilahti <tpr@d5k.net> - 0.2-2
- use source package from the kde's ftp-site instead of the svn

* Wed Jan 07 2009 Teemu Rytilahti <tpr@d5k.net> - 0.2-1
- initial package
